﻿using CarRepairShopDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CarRepairShopContracts.ViewModels
{
    public class RepairViewModel : IRepairModel
    {
        public int Id { get; set; }

        [DisplayName("Название ремонта")]
        public string RepairName { get; set; } = string.Empty;

        [DisplayName("Цена")]
        public double Price { get; set; }

        public Dictionary<int, (IComponentModel, int)> RepairComponents { get; set; } = new();
    }
}
